Bug 1226722

Summary: regression: broken renderiing of bitmap fonts
Product: [Fedora] Fedora Reporter: Enrico Scholz <rh-bugzilla>
Component: fontconfigAssignee: Akira TAGOH <tagoh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: fonts-bugs, i18n-bugs, pnemade, rh-bugzilla, tagoh
Target Milestone: ---Flags: tagoh: needinfo? (rh-bugzilla)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fontconfig-2.11.94-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-05 23:53:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
output with old and new libfontconfig none

Description Enrico Scholz 2015-05-31 22:19:43 UTC
Created attachment 1033003 [details]
output with old and new libfontconfig

Description of problem:

After upgrade to Fedora 22, bitmap fonts like Helvetica are displayed in a broken way (see attached screenshot).

After downgrade of fontconfig to F21 version, rendering is ok.  LD_PRELOADING the recent libfontconfig (and using rules of the old rpm) causes the broken behaviour again.


The attached screenshot shows execution and result of 'xfce4-appearing-settings' with old (bottom) and new (top) libconfig.

Version-Release number of selected component (if applicable):

fontconfig-2.11.93-2.fc22 (broken)
fontconfig-2.11.1-5.fc21 (ok)

How reproducible:

100%

Comment 1 Akira TAGOH 2015-06-02 08:07:11 UTC
Is it with the terminus font?

Comment 2 Fedora Update System 2015-06-02 09:38:14 UTC
fontconfig-2.11.94-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fontconfig-2.11.94-1.fc22

Comment 3 Fedora Update System 2015-06-04 20:16:04 UTC
Package fontconfig-2.11.94-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fontconfig-2.11.94-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9400/fontconfig-2.11.94-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-05 23:53:54 UTC
fontconfig-2.11.94-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.